import processing.serial.*;        //import the library Serial Communication

Serial myPort;                      //Creating a variable Serial named myPort

PImage bg;


void setup()                        //Starting the resolution for the graphical window
{
  size(200,200);                    // Set the image size 200 by 200 pixels
  bg = loadImage("logo.png");     // Uploading the image into the program
  
 myPort = new Serial (this, "COM17",9600); //Set the name of the communication port
}

void draw()                         // Draw function = here is graphical
{
  background(bg);                   // Set the background image
  if (mousePressed &&(mouseButton==LEFT)) //Mouse pressed & LEFT signal
    {
      myPort.write('1');            //Send '1' Value
      
    }
    if (mousePressed &&(mouseButton==RIGHT)) //Mouse pressed & RIGHT signal
    {
      myPort.write('0');            //Send '0' Value
    }
}
